Package org.drinkless.tdlib

# Class TdApi.StoryContentVideo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StoryContent
org.drinkless.tdlib.TdApi.StoryContentVideo

Enclosing class:
  `TdApi`

public static class TdApi.StoryContentVideo extends TdApi.StoryContent
A video story.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.StoryContent

  `TdApi.StoryContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.StoryVideo`
  `alternativeVideo`
  Alternative version of the video in MPEG4 format, encoded with H.264 codec; may be null.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.StoryVideo`
  `video`
  The video in MPEG4 format.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoryContentVideo()`
  A video story.
  `StoryContentVideo(TdApi.StoryVideo video, TdApi.StoryVideo alternativeVideo)`
  A video story.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### video

    public TdApi.StoryVideo video
    The video in MPEG4 format.

  - ### alternativeVideo

    @Nullable public TdApi.StoryVideo alternativeVideo
    Alternative version of the video in MPEG4 format, encoded with H.264 codec; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StoryContentVideo

    public StoryContentVideo()
    A video story.

  - ### StoryContentVideo

    public StoryContentVideo(TdApi.StoryVideo video, TdApi.StoryVideo alternativeVideo)
    A video story.
    Parameters:
      `video` - The video in MPEG4 format.
      `alternativeVideo` - Alternative version of the video in MPEG4 format, encoded with H.264 codec; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.StoryContent`
    Returns:
      this.CONSTRUCTOR